import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Snake here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Snake extends Actor
{
    /**
     * Act - do whatever the Snake wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public Snake() 
    { 
        GreenfootImage image = getImage();    
        image.scale(50, 20);  
        setImage(image);
    }
    public void act()
    {
        move();
        turn();
        eat();
        death();
    }
    public void move()
    {
        move(2);
    }
    public void turn()
    {
        if(Greenfoot.isKeyDown("right"))
        {
            turn(90); 
            Greenfoot.delay(10);
        }
        if(Greenfoot.isKeyDown("left"))
        {
            turn(-90);
            Greenfoot.delay(10);
        }
    } 
    public void eat()
    {
        Actor food;
        food = getOneObjectAtOffset(0, 0, Food.class);
        if(food != null)
        {   
            World world;
            world = getWorld();
            world.removeObject(food);
            world.addObject(food, Greenfoot.getRandomNumber(500), Greenfoot.getRandomNumber(500));
            GreenfootImage image = getImage();    
            image.scale(image.getWidth() + 20, 20);  
            setImage(image);
        }
    }
    public void death()
    {
        int worldHeight = getWorld().getHeight();
        int worldWidth = getWorld().getWidth();
        if(getY() == worldHeight - 1  ||getY() == worldHeight + 1 ||getX() == worldWidth - 1||getX() == worldWidth - +1)
        //if(getX() == 10 || getX() == 590 || getY() == 10 || getY() == 590)
        {
            Greenfoot.setWorld(new SnakeWorld());   
        }
    }
}